reliability
probe gh

# list_workflow_runs

List GitHub Workflow runs

Run it now
View details

Type | probe
Module | chaosreliably.activities.gh.probes
Name | list_workflow_runs
Return | mapping

Usage

JSON

    {
      "name": "list-workflow-runs",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosreliably.activities.gh.probes",
        "func": "list_workflow_runs",
        "arguments": {
          "repo": ""
        }
      }
    }

YAML

    name: list-workflow-runs
    provider:
      arguments:
        repo: ''
      func: list_workflow_runs
      module: chaosreliably.activities.gh.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
repo | string |  | Yes | Repository |
branch | string | ”main” | No | Branch |
event | string | ”push” | No | Triggered Event | Select run that were triggered by this specific event
status | string | ”in_progress” | No | Run Status | Select run that have this status
window | string | ”5d” | No | Window | Select runs within the given time window only
actor | string | null | No | Actor | Select runs triggered by this actor
exclude_pull_requests | boolean | false | No | Exclude PR Runs | Exclude PR runs

Signature

    def list_workflow_runs(
            repo: str,
            actor: Optional[str] = None,
            branch: str = 'main',
            event: str = 'push',
            status: str = 'in_progress',
            window: str = '5d',
            exclude_pull_requests: bool = False,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- reliability
  action gh

  ## `cancel_workflow_run`

  Cancels a GitHub Workflow run
- reliability
  probe gh

  ## `pr_duration`

  Get a list of opened pull-requests durations
- reliability
  probe load

  ## `Verify Latency during Load Test`

  Verify the latency of responses during a load test for a given percentile